# m3e/shape_name

ShapeName

This file was generated: By: m3e/generator version 0.1.0 On: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## ShapeName

</>

    pub type ShapeName {
      FourLeafClover
      FourSidedCookie
      SixSidedCookie
      SevenSidedCookie
      EightLeafClover
      NineSidedCookie
      OneTwoSidedCookie
      Arch
      Arrow
      Boom
      Bun
      Burst
      Circle
      Diamond
      Fan
      Flower
      Gem
      GhostIsh
      Heart
      Hexagon
      Oval
      Pentagon
      Pill
      PixelCircle
      PixelTriangle
      Puffy
      PuffyDiamond
      Semicircle
      Slanted
      SoftBoom
      SoftBurst
      Square
      Sunny
      Triangle
      VerySunny
    }

### Constructors

-     FourLeafClover

-     FourSidedCookie

-     SixSidedCookie

-     SevenSidedCookie

-     EightLeafClover

-     NineSidedCookie

-     OneTwoSidedCookie

-     Arch

-     Arrow

-     Boom

-     Bun

-     Burst

-     Circle

-     Diamond

-     Fan

-     Flower

-     Gem

-     GhostIsh

-     Heart

-     Hexagon

-     Oval

-     Pentagon

-     Pill

-     PixelCircle

-     PixelTriangle

-     Puffy

-     PuffyDiamond

-     Semicircle

-     Slanted

-     SoftBoom

-     SoftBurst

-     Square

-     Sunny

-     Triangle

-     VerySunny

# Values

## to_string

</>

    pub fn to_string(level: ShapeName) -> String

✨